#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAE,0xDD,0xD7,0xF5,0x60,0x19,0x6F,0x1C,0xF8,0x78,0xCD,0x0D,
		0xA0,0x6D,0x94,0xF0,0xFC,0x9B,0x92,0x9D,0xCC,0x66,0x12,0xA7,
		0x22,0x27,0x02,0xD2,0xEB,0x10,0xC5,0x34,0x4A,0xC0,0x48,0x57,
		0x00,0xD7,0x74,0x7D,0x5B,0xAF,0xD5,0x54,0xE5,0x98,0x83,0xAE,
		0x4C,0x2D,0x50,0x13,0xB7,0xC8,0x5C,0x4C,0xB8,0x01,0xB9,0xCB,
		0xB3,0x3C,0x31,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
